Package io.dapr.v1

# Enum DaprProtos.SubtleGetKeyRequest.KeyFormat

java.lang.Object
java.lang.Enum<DaprProtos.SubtleGetKeyRequest.KeyFormat>
io.dapr.v1.DaprProtos.SubtleGetKeyRequest.KeyFormat

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprProtos.SubtleGetKeyRequest.KeyFormat>`

Enclosing class:
  DaprProtos.SubtleGetKeyRequest

public static enum DaprProtos.SubtleGetKeyRequest.KeyFormat extends Enum<DaprProtos.SubtleGetKeyRequest.KeyFormat> implements com.google.protobuf.ProtocolMessageEnum
Protobuf enum `dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JSON`
JSON (JSON Web Key) as string
`PEM`
PEM (PKIX) (default)
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JSON_VALUE`
JSON (JSON Web Key) as string
`static final int`
`PEM_VALUE`
PEM (PKIX) (default)

## Method Summary

Modifier and Type
Method
Description
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.SubtleGetKeyRequest.KeyFormat>`
`internalGetValueMap()`
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
`valueOf(int value)`
Deprecated.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PEM

public static final DaprProtos.SubtleGetKeyRequest.KeyFormat PEM

     PEM (PKIX) (default)

`PEM = 0;`

### JSON

public static final DaprProtos.SubtleGetKeyRequest.KeyFormat JSON

     JSON (JSON Web Key) as string

`JSON = 1;`

### UNRECOGNIZED

public static final DaprProtos.SubtleGetKeyRequest.KeyFormat UNRECOGNIZED

## Field Details

### PEM_VALUE

public static final int PEM_VALUE

     PEM (PKIX) (default)

`PEM = 0;`

See Also:
  - Constant Field Values

### JSON_VALUE

public static final int JSON_VALUE

     JSON (JSON Web Key) as string

`JSON = 1;`

See Also:
  - Constant Field Values

## Method Details

### values

public static DaprProtos.SubtleGetKeyRequest.KeyFormat[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprProtos.SubtleGetKeyRequest.KeyFormat valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static DaprProtos.SubtleGetKeyRequest.KeyFormat valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static DaprProtos.SubtleGetKeyRequest.KeyFormat forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.SubtleGetKeyRequest.KeyFormat> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static DaprProtos.SubtleGetKeyRequest.KeyFormat valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null